1. Processing
Vulcan Forge API
  • Introduction
  • Getting Started
  • Authentication & Authorization
  • Core Concepts
    • Terminology
    • Regulated Assets
    • Tenants
    • Mapping & Labelling
    • SVM Networks
    • Transaction Processing
    • Key Management
    • Read Layer
    • Webhooks
  • API Reference
    • Blockchain Accounts
      • Create Account
      • Fetch Account Details
      • Fetch Account Private Key
      • Fetch Account Balance
      • Fetch Accounts
      • Update Account
      • Inactivate Account
    • Financial Instruments
      • Create Financial Instrument
      • Fetch Financial Instrument Details
      • Fetch Financial Instrument Circulating Supply
      • Fetch Financial Instruments
      • Update Financial Instrument
      • Close Financial Instrument
      • Pause Financial Instrument
      • Unpause Financial Instrument
      • Token Extensions Calculator
    • Positions
      • State
        • Initialize Position
        • Update Position
        • Inactivate Position
        • Freeze Position
        • Unfreeze Position
      • Movements
        • Mint
        • Burn
        • Transfer Financial Instrument
        • Transfer Network Currency
      • Trades
        • Trade
      • History
        • Fetch Position Details
        • Fetch Position Balance
        • Fetch Positions
    • Loans
      • Create Loan
      • Fetch Loan Details
      • Fetch Loans
      • Swap Collateral
      • Repay Loan
      • Close Loan
      • Refinance Loan
    • Market Data
      • Onchain Data Sources
        • Create Onchain Data Source
        • Update Oracle Data Source Definition
        • Refresh Oracle Data Source
        • Fetch Onchain Data Source Details
        • Fetch Oracle Data Sources
    • Blockchain Transactions
      • Processing
        • Fetch Transaction Status
          POST
        • Sign Transaction
          PATCH
        • Submit Transaction
          PATCH
      • Durable Nonces
        • Create Durable Nonce Accounts
        • Fetch Durable Nonce Account Details
        • Fetch Durable Nonce Accounts
      • Address Lookup Tables
        • Create Address Lookup Table
        • Fetch Address Lookup Table Details
        • Fetch Address Lookup Tables
        • Extend Address Lookup Table
        • Update Address Lookup Table
      • History
        • Fetch Transaction Details
        • Fetch Transactions
  • Schemas
    • Accounts
      • DKG
        • DKG Key Setup
      • Max Allowed Debit Config
      • Webhook Config
      • Offchain References
      • Account Lookup
      • New Account
      • Tenancy Config
      • Offchain File
      • Network Currency Debit Limit Config
      • Token Debit Limit Config
      • Limit Duration
    • Market Data
      • Onchain Data Source Details
      • Switchboard Data Source Details
    • Webhook Payloads
      • Pre Transaction Submit Webhook
      • Post Transaction Submit Webhook
    • Transactions
      • Svm Value Input
      • Svm Transaction Config
      • Commitment Config
      • Transaction Lookup
    • Query
      • Query Components
        • Sort Model
        • Filter Model
        • Field Value Filter
      • Items Query
      • Bulk Query
    • Loans
      • Loan Duration
    • Reponses
      • Errors
        • Individual Error
        • Error Response
      • Accounts
        • Private Keys
          • Database Private Key Details
          • Private Key Details
          • Cloud Provider Resource Location
          • DKG Private Key Details
        • Account Response Detailed
        • Account Onchain Detailed
        • Account Offchain Detailed
        • Account Response Compact
        • Account Onchain Compact
        • Account Offchain Compact
        • Account Response Identifiers
      • Transactions
        • Svm Value Result
        • Transaction Response Detailed
        • Transaction Account Info
        • Value Balances
        • Transaction Instruction Response
        • Transaction Account Identifiers
        • Svm Transaction Result
        • Svm Entity Result
      • Financial Instruments
        • Financial Instrument Detailed
        • Financial Instrument Compact
        • Financial Instrument Identifiers
      • Loans
        • Loan Response
      • Positions
        • Position Offchain Result
        • Position Balance Response
        • Position Response Detailed
        • Position Response Compact
        • Position Response Identifiers
      • Market Data
        • Onchain Data Source Response
    • Positions
      • Position Lookup
      • Mint Definition
      • Burn Definition
      • Transfer Financial Instrument Definition
      • Transfer Network Currency Definition
  1. Processing

Sign Transaction

Developing
Development
https://vf-solana-api.dev.alphaledger.com
Development
https://vf-solana-api.dev.alphaledger.com
PATCH
/api/v1/transactions/sign
Allows the completion of the process that collects all necessary signatures needed to submit a transaction.
When transactions are created through Vulcan Forge endpoints, sometimes the API Key that submits the request does not have access to the private keys for all the managed accounts that are signers on the transaction. Or some of the signers are not managed accounts. In this case the system stores the transaction details offchain and returns a tranaction with a status of PARTIALLY_SIGNED.
To complete the offline signing process for such transactions (only applicable to transactions with a messageLifetimeStrategy=DURABLE_NONCE) this endpoint can be used to either:
sign the transaction offline / offplatform (i.e. outside of the Vulcan Forge system) and provide the generated signature(s) - see the offPlatformSigning field in the request payload.
let the system generate signatures for the signer managed accounts that the API Key that submits this request has access to- see the onPlatformSigning field in the request payload.
Note that by default, if the system determines that all needed signatures have been collected, it will also submit the transaction to the blockchain as part of this same request. If the caller wants to only signatures collected, the submitTxnIfAllSignaturesCollected needs to be set to false.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400
🟠401
🟠403
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://vf-solana-api.dev.alphaledger.com/api/v1/transactions/sign?svmCluster=SOLANA_DEVNET' \
--header 'x-request-id: f9860f73-a466-41f2-a083-34eeb1cc3a3c' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "itemData": {
        "transaction": {
            "onchainId": "string",
            "offchainId": "string"
        },
        "offPlatformSigning": [
            {
                "account": {
                    "onchainId": "GPjDgRPhSuJSya5GbaCWkYCDqcyL6N3ZBge9XMJsDton",
                    "offchainId": "1b03ae9a-348c-4c18-8727-20c7c4ae7a0a",
                    "offchainReferences": {
                        "alId": "ALFNDPF000153778",
                        "organizationExternalId": "ALT",
                        "accountNumber": "ALT10000233",
                        "code": "some-authority",
                        "type": "WALLET"
                    },
                    "autoSign": true,
                    "otherTenantOrganizationExternalId": "ALIM",
                    "offPlatform": false
                },
                "signature": "string",
                "dkgSigning": {
                    "partialSignatures": [
                        {
                            "mpcPlayerCode": "string",
                            "partialSignature": "string"
                        }
                    ],
                    "sessionId": "string"
                }
            }
        ],
        "onPlatformSigning": [
            {
                "onchainId": "GPjDgRPhSuJSya5GbaCWkYCDqcyL6N3ZBge9XMJsDton",
                "offchainId": "1b03ae9a-348c-4c18-8727-20c7c4ae7a0a",
                "offchainReferences": {
                    "alId": "ALFNDPF000153778",
                    "organizationExternalId": "ALT",
                    "accountNumber": "ALT10000233",
                    "code": "some-authority",
                    "type": "WALLET"
                },
                "autoSign": true,
                "otherTenantOrganizationExternalId": "ALIM",
                "offPlatform": false
            }
        ],
        "submitTxnIfAllSignaturesCollected": true
    },
    "tenancyConfig": {
        "overrideOrganizationExternalId": "ALIM"
    }
}'
Response Response Example
200 - Example 1
{
    "success": false,
    "offchainId": "ee36c656-aa74-4d6a-b23c-332c204cb202",
    "status": "SIGNED",
    "onchainId": "5nwo7XvhiVRpJasEzH5r3hGKJqaTxd7qVit3cedFJgESdAPrmawebMJu6fUKRfjXEaivuey7vBsW56xPxX76T1bm",
    "confirmationsCount": 2,
    "serializedMessage": "string",
    "errorMessage": "string",
    "txnTimestamp": "2025-10-21T16:17:45.035372Z"
}
Modified at 2026-04-05 13:09:41
Previous
Fetch Transaction Status
Next
Submit Transaction
Built with